.hamburger {
    width: 3rem;
    height: 1.8rem;
    display: none;
    position: absolute;
    cursor: pointer;
    text-align: center;
    z-index: 1000;
    top: 2rem;
    right: 0rem;
    @include link;

    @media only screen and (min-width: 992px) and (max-width: 1199px) {
        top: 4rem;
    }

    @media only screen and (min-width: 768px) and (max-width: 991px) {
        top: 3rem;
    }

    @media only screen and (max-width: 1199px) {
        display: block;
    }

    .line {
        height: 0.3rem;
        width: 100%;
        position: absolute;
        background: $red;
        @include link;
    }

    &:hover {
        .line {
            background: $red;
        }
    }

    .line1 {
        top: 0;
        left: 0;
    }

    .line2 {
        top: 0.8rem;
        left: 0;
    }

    .line3 {
        top: 1.6rem;
        left: 0;
    }

    &.open-h {
        .line {
            background-color: $red !important;
        }

        .line1 {
            top: 0.8rem;
            transform: rotate(45deg);
        }

        .line2 {
            opacity: 0;
        }

        .line3 {
            top: 0.8rem;
            transform: rotate(-45deg);
        }
    }
}